const proficiency: readonly number[] = [...Array(10).keys()] as const;
export type Proficiency = (typeof proficiency)[number];

export interface Skill {
	name: string;
	proficiency: Proficiency;
}

export type SkillList = Skill[];

export type InfoArticle = {
	title: string;
	bodyText: string;
};

export type InfoArticleList = InfoArticle[];

export type Social = {
	icon: string;
	url: URL;
	description: string;
};
